Bug 189891 - mail/hashcash: Stage support [PATCH]
Summary: mail/hashcash: Stage support [PATCH]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-17 19:10 UTC by Corey Halpin
Modified: 2014-05-19 04:40 UTC (History)
0 users

See Also:


Attachments
hashcash_stage.patch (1.94 KB, patch)
2014-05-17 19:10 UTC, Corey Halpin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corey Halpin 2014-05-17 19:10:00 UTC
	Update hashcash with stage support and better portlint complance.

How-To-Repeat: 	NA
Comment 1 Martin Wilke freebsd_committer 2014-05-18 07:46:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-05-19 04:36:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-05-19 04:36:46 UTC
Author: miwi
Date: Mon May 19 03:36:42 2014
New Revision: 354485
URL: http://svnweb.freebsd.org/changeset/ports/354485
QAT: https://qat.redports.org/buildarchive/r354485/

Log:
  - Stage support
  
  PR:		189891
  Submitted by:	maintainer

Modified:
  head/mail/hashcash/Makefile
  head/mail/hashcash/files/patch-Makefile
  head/mail/hashcash/pkg-descr

Modified: head/mail/hashcash/Makefile
==============================================================================
--- head/mail/hashcash/Makefile	Mon May 19 03:35:53 2014	(r354484)
+++ head/mail/hashcash/Makefile	Mon May 19 03:36:42 2014	(r354485)
@@ -10,16 +10,29 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	chalpin@cs.wisc.edu
 COMMENT=	Anti-spam / denial of service counter-measure tool
 
+LICENSE=BSD LGPL21 GPLv2
+LICENSE_COMB=dual
+
+# Also CPL: https://en.wikipedia.org/wiki/Common_Public_License
+# and Public Domain
+
 MAN1=		hashcash.1 sha1-hashcash.1
 PLIST_FILES=	bin/hashcash bin/sha1
+PLIST_FILES+= man/man1/hashcash.1.gz
+PLIST_FILES+= man/man1/sha1-hashcash.1.gz
+
 PORTDOCS=	CHANGELOG LICENSE README
 ALL_TARGET=	generic
-NO_STAGE=	yes
 
-.if defined(NOPORTDOCS)
+MAKE_ENV+= STAGEDIR=${STAGEDIR}
+
+.include <bsd.port.options.mk>
+
+.if !${PORT_OPTIONS:MDOCS}
 
 post-patch:
 	${REINPLACE_CMD} -e '/DOC_INSTALL_PATH/d' ${WRKSRC}/Makefile
+
 .endif
 
 .include <bsd.port.mk>

Modified: head/mail/hashcash/files/patch-Makefile
==============================================================================
--- head/mail/hashcash/files/patch-Makefile	Mon May 19 03:35:53 2014	(r354484)
+++ head/mail/hashcash/files/patch-Makefile	Mon May 19 03:36:42 2014	(r354485)
@@ -7,9 +7,9 @@
 -INSTALL_PATH = /usr/bin
 -MAN_INSTALL_PATH = /usr/share/man/man1
 -DOC_INSTALL_PATH = /usr/share/doc/hashcash-$(HC_VERS)
-+INSTALL_PATH = ${PREFIX}/bin
-+MAN_INSTALL_PATH = ${PREFIX}/man/man1
-+DOC_INSTALL_PATH = ${PREFIX}/share/doc/hashcash
++INSTALL_PATH = ${STAGEDIR}${PREFIX}/bin
++MAN_INSTALL_PATH = ${STAGEDIR}${PREFIX}/man/man1
++DOC_INSTALL_PATH = ${STAGEDIR}${PREFIX}/share/doc/hashcash
  MAKEDEPEND = makedepend
  MSLIB = mslib 
  # here you can choose the regexp style your system has

Modified: head/mail/hashcash/pkg-descr
==============================================================================
--- head/mail/hashcash/pkg-descr	Mon May 19 03:35:53 2014	(r354484)
+++ head/mail/hashcash/pkg-descr	Mon May 19 03:36:42 2014	(r354485)
@@ -4,4 +4,4 @@ receive. A hashcash token constitutes a 
 parameterizable amount of work to compute for the sender.  
 
 Author: Adam Back <adam@cypherspace.org>
-WWW:    http://www.hashcash.org/
+WWW: http://www.hashcash.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"